
%define realname   Class-XSAccessor-Array
%define version    0.14
%define release    %mkrel 1

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Generate fast XS accessors without runtime compilation
Source:     http://www.cpan.org/modules/by-module/Class/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-devel
BuildRequires: perl(AutoXS::Header)



%description
The module implements fast XS accessors both for getting at and setting an
object attribute. Additionally, the module supports mutators and simple
predicates ('has_foo()' like tests for definedness of an attributes). The
module works only with objects that are implemented as *arrays*. Using it
on hash-based objects is bound to make your life miserable. Refer to the
Class::XSAccessor manpage for an implementation that works with hash-based
objects.

A simple benchmark showed more than a factor of two performance advantage
over writing accessors in Perl.

Since version 0.10, the module can also generate simple constructors
(implemented in XS) for you. Simply supply the 'constructor =>
'constructor_name'' option or the 'constructors => ['new', 'create',
'spawn']' option. These constructors do the equivalent of the following
perl code:

%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jan 23 2009 Jérôme Quelin <jquelin@mandriva.org> 0.14-1mdv2009.1
+ Revision: 332742
- import perl-Class-XSAccessor-Array


* Fri Jan 23 2009 cpan2dist 0.14-1mdv
- initial mdv release, generated with cpan2dist

